summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-18 06:35:22 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-18 06:35:22 +0000
commit1563f3241efc8b293ae06dfbb07f107a257f60c4 (patch)
tree444224dd81d1ba90a25f550c3bd44356cec5db6f /tests
parent2cb82c08c6677204b79bbc95325fd83267a3117d (diff)
downloadcoreutils-1563f3241efc8b293ae06dfbb07f107a257f60c4.tar.xz
Skip this test if "trap '' CHLD" doesn't work.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/trap6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/install/trap b/tests/install/trap
index a43c55229..514b2be49 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -7,6 +7,12 @@ if test "$VERBOSE" = yes; then
ginstall --version
fi
+(trap '' CHLD) || {
+ echo >&2 "$0: the shell command \"trap '' CHLD\" does not work," \
+ "so can't run this test"
+ exit 77
+}
+
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0